Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class ErlangConvolutionGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.GammaGen
              umontreal.iro.lecuyer.randvar.ErlangGen
                  umontreal.iro.lecuyer.randvar.ErlangConvolutionGen

    public class ErlangConvolutionGen

extends ErlangGen

This class implements Erlang random variate generators using the convolution method. This method uses inversion to generate k exponential variates with parameter λ and returns their sum.

Constructor Summary
`ErlangConvolutionGen(RandomStream s, ErlangDist dist)` Creates a new generator for the distribution `dist` and stream `s`.
`ErlangConvolutionGen(RandomStream s, int k)` Creates an Erlang random variate generator with parameters `k` and λ = 1, using stream `s`.
`ErlangConvolutionGen(RandomStream s, int k, double lambda)` Creates an Erlang random variate generator with parameters `k` and λ = `lambda`, using stream `s`.

Method Summary
`double` | `nextDouble()` Generates a random number from the continuous distribution contained in this object.
`static double` | `nextDouble(RandomStream s, int k, double lambda)`

Methods inherited from class umontreal.iro.lecuyer.randvar.ErlangGen
`getK`

Methods inherited from class umontreal.iro.lecuyer.randvar.GammaGen
`getAlpha, getLambda, nextDouble`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErlangConvolutionGen

    public ErlangConvolutionGen(RandomStream s,
                                int k,
                                double lambda)

  Creates an Erlang random variate generator with parameters `k` and λ = `lambda`, using stream `s`.

### ErlangConvolutionGen

    public ErlangConvolutionGen(RandomStream s,
                                int k)

  Creates an Erlang random variate generator with parameters `k` and λ = 1, using stream `s`.

### ErlangConvolutionGen

    public ErlangConvolutionGen(RandomStream s,
                                ErlangDist dist)

  Creates a new generator for the distribution `dist` and stream `s`.

Method Detail

### nextDouble

    public double nextDouble()

  Description copied from class: `RandomVariateGen`
  Generates a random number from the continuous distribution contained in this object. By default, this method uses inversion by calling the `inverseF` method of the distribution object. Alternative generating methods are provided in subclasses.

  Overrides:
    `nextDouble` in class `RandomVariateGen`
  Returns:
    the generated value

### nextDouble

    public static double nextDouble(RandomStream s,
                                    int k,
                                    double lambda)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.